Bug 1913762 - Increase LimitMEMLOCK for pipewire.service
Summary: Increase LimitMEMLOCK for pipewire.service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pipewire
Version: 33
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Wim Taymans
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-07 14:33 UTC by Michael
Modified: 2021-02-06 01:17 UTC (History)
3 users (show)

Fixed In Version: pipewire-0.3.21-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-06 01:17:52 UTC
Type: Bug


Attachments (Terms of Use)

Description Michael 2021-01-07 14:33:29 UTC
Description of problem:
There is a warning in the systemd logs that the RLIMIT_MEMLOCK limit needs to be increased for better performance.
Log:
pipewire-pulse[14406]: Failed to mlock memory 0x7f1c2b900000 32832: This is not a problem but for best performance, consider increasing RLIMIT_MEMLOCK


Version-Release number of selected component (if applicable):
pipewire-0.3.19-1.fc33.src.rpm


How reproducible:
Always


Steps to Reproduce:
1. Install pipewire
2. Reboot
3. Check the logs

Actual results:
Warning about RLIMIT_MEMLOCK


Expected results:
No warnings


Additional info:
The solution is to add LimitMEMLOCK=131072 to the Service section in pipewire.service.

Comment 1 Wim Taymans 2021-01-22 12:37:29 UTC
Will be included in future versions.

Comment 2 Fedora Update System 2021-02-04 10:39:22 UTC
FEDORA-2021-f394ea10e9 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f394ea10e9

Comment 3 Fedora Update System 2021-02-05 01:27:23 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-d6d23603c6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-d6d23603c6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-02-06 01:17:52 UTC
FEDORA-2021-d6d23603c6 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.